Bug 605290 (transmageddon)

Summary: Review Request: transmageddon - A video transcoder built using GStreamer
Product: [Fedora] Fedora Reporter: Runa Bhattacharjee <runab>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: a.j.delaney, ankit, benjavalero, bloch, fedora, hicham.haouari, jjardon, jwalden+brc, kalevlember, leifer, metherid, notting, package-review, pahan, panemade, thib, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-15 15:41:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Runa Bhattacharjee 2010-06-17 11:08:10 EDT
Spec URL: http://runab.fedorapeople.org/packages/transmageddon.spec

SRPM URL: http://runab.fedorapeople.org/packages/transmageddon-0.16-1.fc12.src.rpm

Description: 
Transmageddon is a video transcoder for Linux and Unix systems built using
GStreamer. It supports almost any format as its input and can generate a 
very large host of output files. The goal of the application was to help
people to create the files they need to be able to play on their mobile
devices and for people to generate a multimedia file without having
to resort to command line tools.
Comment 1 Parag AN(पराग) 2010-06-17 11:58:19 EDT
*** Bug 605295 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Spura 2010-06-18 09:38:46 EDT
Hmm, I tried to transcode a random movie file into webm and this is the crash:

Traceback (most recent call last):
  File "transmageddon.py", line 676, in on_presetchoice_changed
    self.devicename= self.presetchoices[presetchoice]
KeyError: 'Keine Voreinstellungen'
Traceback (most recent call last):
  File "transmageddon.py", line 624, in on_transcodebutton_clicked
    self._start_transcoding()
  File "transmageddon.py", line 516, in _start_transcoding
    audiocodec, videocodec, self.devicename, 
AttributeError: TransmageddonUI instance has no attribute 'devicename'

When clicking on 'cancel' again:
Traceback (most recent call last):
  File "transmageddon.py", line 636, in on_cancelbutton_clicked
    self._cancel_encoding = transcoder_engine.Transcoder.Pipeline(self._transcoder,"null")
AttributeError: TransmageddonUI instance has no attribute '_transcoder'


Besides that:
The 'mkdir -p's are not needed, a snipped from rpmbuild output:
test -z "/usr/share/applications" || /bin/mkdir -p "/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64/usr/share/applications"
 /usr/bin/install -c -m 644 transmageddon.desktop '/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64/usr/share/applications'
test -z "/usr/share/pixmaps" || /bin/mkdir -p "/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64/usr/share/pixmaps"
 /usr/bin/install -c -m 644 transmageddon.svg '/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64/usr/share/pixmaps'
test -z "/usr/share/man/man1" || /bin/mkdir -p "/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64/usr/share/man/man1"
 /usr/bin/install -c -m 644 transmageddon.1 '/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64/usr/share/man/man1'
test -z "/usr/share/transmageddon" || /bin/mkdir -p "/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64/usr/share/transmageddon"

That's done by the Makefile itself.


Another warning:
/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64//usr/share/applications/transmageddon.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
/home/tom/rpmbuild/BUILDROOT/transmageddon-0.16-1.fc13.x86_64//usr/share/applications/transmageddon.desktop: warning: value "GNOME;GTK;Application;AudioVideo;X-Ximian-Main;X-Red-Hat-Base;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"


- Don't mix RPM_BUILD_ROOT and buildir.
  See https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

- You write %{buildroot}/%{_datadir}: %{_datadir} already contains an '/' at the beginning.
Comment 3 Hicham HAOUARI 2010-07-15 22:54:13 EDT
you are missing important BR :
pygtk2 gstreamer-python, 

also please try a build on koji
Comment 4 Runa Bhattacharjee 2010-08-11 08:59:01 EDT
Hello,

I rewrote the .spec file and generated a new SRPM:

http://runab.fedorapeople.org/packages/transmageddon/0.16-2/

rpmlint output:

transmageddon.noarch: W: spelling-error Summary(en_US) transcoder -> trans coder, trans-coder, transcendent
transmageddon.noarch: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transcendent
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

A patch had to be written for the .desktop file, to fix the issues related to the deprecated key values. The patch and the traceback errors have been reported upstream: https://bugzilla.gnome.org/show_bug.cgi?id=626626

Thanks
Runa
Comment 5 Aidan Delaney 2011-04-03 09:21:30 EDT
This .spec works well in Fedora 15.
Comment 6 Mario Santagiuliana 2012-01-12 08:12:16 EST
I am still learning how to became a reviewer so I just give you an unofficial review.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f %{name}.lang section. This is OK
     if packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[?]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST The spec file handles locales properly.
[?]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[?]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[?]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[?]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly.
[-]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint transmageddon-0.16-2.fc17.noarch.rpm

transmageddon.noarch: W: spelling-error Summary(en_US) transcoder -> trans coder, trans-coder, transponder
transmageddon.noarch: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transponder
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint transmageddon-0.16-2.fc17.src.rpm

transmageddon.src: W: spelling-error Summary(en_US) transcoder -> trans coder, trans-coder, transponder
transmageddon.src: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transponder
transmageddon.src:38: W: macro-in-comment %{buildroot}
transmageddon.src:38: W: macro-in-comment %{_bindir}
transmageddon.src:39: W: macro-in-comment %{buildroot}
transmageddon.src:39: W: macro-in-comment %{_datadir}
transmageddon.src:40: W: macro-in-comment %{buildroot}
transmageddon.src:40: W: macro-in-comment %{_datadir}
transmageddon.src:41: W: macro-in-comment %{buildroot}
transmageddon.src:41: W: macro-in-comment %{_datadir}
transmageddon.src:42: W: macro-in-comment %{buildroot}
transmageddon.src:42: W: macro-in-comment %{_datadir}
transmageddon.src:43: W: macro-in-comment %{buildroot}
transmageddon.src:43: W: macro-in-comment %{_datadir}
transmageddon.src:44: W: macro-in-comment %{buildroot}
transmageddon.src:44: W: macro-in-comment %{_datadir}
transmageddon.src:44: W: macro-in-comment %{name}
transmageddon.src:45: W: macro-in-comment %{buildroot}
transmageddon.src:45: W: macro-in-comment %{_datadir}
transmageddon.src:45: W: macro-in-comment %{name}
transmageddon.src:46: W: macro-in-comment %{buildroot}
transmageddon.src:46: W: macro-in-comment %{_mandir}
transmageddon.src:51: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 51)
1 packages and 0 specfiles checked; 0 errors, 23 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/makerpm/605290/transmageddon-0.16.tar.bz2 :
  MD5SUM this package     : 11d530878d7fec48c1bdd3221a194464
  MD5SUM upstream package : 11d530878d7fec48c1bdd3221a194464

[?]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
     I think you could use %{?dist}
[?]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[?]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: desktop_entry.patch (desktop_entry.patch)
[x]: SHOULD SourceX is a working URL.
[?]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f %{name}.lang section. This is OK
     if packaging for EPEL5. Otherwise not needed
[!]: MUST License field in the package spec file matches the actual license.
     The spec file inside tarball specify LGPLv2+ license, you specify GPLv2+,
     the license should be LGPLv2+.
[!]: MUST Rpmlint output is silent.

rpmlint transmageddon-0.16-2.fc17.noarch.rpm

transmageddon.noarch: W: spelling-error Summary(en_US) transcoder -> trans coder, trans-coder, transponder
transmageddon.noarch: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transponder
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint transmageddon-0.16-2.fc17.src.rpm

transmageddon.src: W: spelling-error Summary(en_US) transcoder -> trans coder, trans-coder, transponder
transmageddon.src: W: spelling-error %description -l en_US transcoder -> trans coder, trans-coder, transponder
transmageddon.src:38: W: macro-in-comment %{buildroot}
transmageddon.src:38: W: macro-in-comment %{_bindir}
transmageddon.src:39: W: macro-in-comment %{buildroot}
transmageddon.src:39: W: macro-in-comment %{_datadir}
transmageddon.src:40: W: macro-in-comment %{buildroot}
transmageddon.src:40: W: macro-in-comment %{_datadir}
transmageddon.src:41: W: macro-in-comment %{buildroot}
transmageddon.src:41: W: macro-in-comment %{_datadir}
transmageddon.src:42: W: macro-in-comment %{buildroot}
transmageddon.src:42: W: macro-in-comment %{_datadir}
transmageddon.src:43: W: macro-in-comment %{buildroot}
transmageddon.src:43: W: macro-in-comment %{_datadir}
transmageddon.src:44: W: macro-in-comment %{buildroot}
transmageddon.src:44: W: macro-in-comment %{_datadir}
transmageddon.src:44: W: macro-in-comment %{name}
transmageddon.src:45: W: macro-in-comment %{buildroot}
transmageddon.src:45: W: macro-in-comment %{_datadir}
transmageddon.src:45: W: macro-in-comment %{name}
transmageddon.src:46: W: macro-in-comment %{buildroot}
transmageddon.src:46: W: macro-in-comment %{_mandir}
transmageddon.src:51: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 51)
1 packages and 0 specfiles checked; 0 errors, 23 warnings.

[!]: SHOULD Dist tag is present.
     I think you could use %{?dist}
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: desktop_entry.patch (desktop_entry.patch)



Generated by fedora-review 0.1.1

There is a new version of transmageddon 0.20, you could update your package :)

Thank you
Comment 7 Mario Santagiuliana 2012-01-12 08:22:18 EST
Could you write the BuildRequires and Requires packages on multiple lines?

Thank you!
Comment 8 Jason Tibbitts 2012-04-24 15:04:18 EDT
Any response to the above review commentary?
Comment 9 Jason Tibbitts 2012-06-15 15:41:11 EDT
No response; after another coupe of months; closing.
Comment 10 Kalev Lember 2012-07-14 13:34:35 EDT

*** This bug has been marked as a duplicate of bug 840239 ***